Bug 428867 - [PATCH] unable to set current / max memory allocation simultaneously
[PATCH] unable to set current / max memory allocation simultaneously
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: virt-manager (Show other bugs)
5.3
All Linux
high Severity high
: rc
: ---
Assigned To: Cole Robinson
Virtualization Bugs
:
Depends On:
Blocks: 391501 449772
  Show dependency treegraph
 
Reported: 2008-01-15 14:22 EST by Adam Stokes
Modified: 2010-10-22 17:46 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:20:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
allow simultaneous values (859 bytes, patch)
2008-01-15 14:22 EST, Adam Stokes
no flags Details | Diff

  None (edit)
Description Adam Stokes 2008-01-15 14:22:32 EST
Description of problem:
When attempting to set both gtkspinbuttons to a max mem and current mem of the
same value it fails due to a conditional in domain.py where it thinks current
mem is greater than max mem value.

Version-Release number of selected component (if applicable):
virt-manager-0.4.0

How reproducible:
100%

Steps to Reproduce:
1. Access details of a shutdown domain through gui
2. Access memory tab and set both current and max memory to same value
3. Attempt to apply
  
Actual results:
Current mem is set less than max mem

Expected results:
Current mem set to same value as max mem

Additional info:
Comment 1 Adam Stokes 2008-01-15 14:22:32 EST
Created attachment 291731 [details]
allow simultaneous values
Comment 2 RHEL Product and Program Management 2008-01-15 14:26:05 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Cole Robinson 2008-02-25 17:12:46 EST
Hi Adam, I committed this fix upstream.

http://hg.et.redhat.com/virt/applications/virt-manager--devel?cs=8a68171fe280

It's too late for anything non-critical for 5.2, but this could definitely be in
5.3. Thanks for the patch!
Comment 4 RHEL Product and Program Management 2008-03-11 15:37:07 EDT
This request was previously evaluated by Red Hat Product Management
for inclusion in the current Red Hat Enterprise Linux release, but
Red Hat was unable to resolve it in time.  This request will be
reviewed for a future Red Hat Enterprise Linux release.
Comment 6 RHEL Product and Program Management 2008-06-23 21:32:38 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 7 Cole Robinson 2008-09-15 12:06:42 EDT
Okay, this should be fixed in virt-manager-0.5.3-9.el5. Setting bug to MODIFIED.
Comment 11 errata-xmlrpc 2009-01-20 16:20:06 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0137.html

Note You need to log in before you can comment on or make changes to this bug.